From d79a1c71af33c0e300874c6c121fd556d3cbbce7 Mon Sep 17 00:00:00 2001
From: Hideki Yamane <henrich@debian.org>
Date: Sun, 4 Jan 2015 09:42:35 +0900
Subject: [PATCH] add debsign bash_completion script

---
 scripts/debsign.bash_completion | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 scripts/debsign.bash_completion

diff --git a/scripts/debsign.bash_completion b/scripts/debsign.bash_completion
new file mode 100644
index 0000000..825c60a
--- /dev/null
+++ b/scripts/debsign.bash_completion
@@ -0,0 +1,30 @@
+have debsign &&
+_debsign()
+{
+    local cur prev options
+
+    COMPREPLY=()
+    cur=${COMP_WORDS[COMP_CWORD]}
+    prev=${COMP_WORDS[COMP_CWORD-1]}
+    options='-r -p -m -e -k -S -a -t --multi -h --help -version \
+             --re-sign --no-re-sign --debs-dir --no-conf --noconf'
+
+    case $prev in
+	-k)
+	    keyid_options=`gpg -K|grep ^sec|cut -d'/' -f2|cut -d' ' -f1`
+	    COMPREPLY=( $( compgen -W "$keyid_options" | grep ^$cur ) )
+	    ;;
+	*)
+	    COMPREPLY=( $(
+		    compgen -G "${cur}*.changes"
+		    compgen -G "${cur}*.dsc"
+		    compgen -G "${cur}*.commands"
+		    compgen -W "$options" | grep "^$cur"
+		) )
+	    ;;
+    esac
+
+    return 0
+
+}
+[ "$have" ] && complete -F _debsign -o filenames debsign
-- 
2.1.4

